%define	name	gftp
%define version 2.0.19
%define release %mkrel 2

Name:		%{name}
Summary:	Multithreaded FTP client for X Windows
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/File transfer
URL:		http://www.gftp.org/
Requires:	gtk+2 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+2-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	desktop-file-utils
Source0:	http://www.gftp.org/%{name}-%{version}.tar.xz
Source1:	%{name}.icons.tar.bz2
Patch1:		gftp-2.0.19-fix-broken-bookmarks.patch
Patch2:		gftp-stropts.patch
Patch3:		gftp-2.0.19-datetime-fixedsort.patch
Patch4:		gftp-2.0.19-fix-crash.patch
Obsoletes:  	%name < %version


%description
gFTP is a multithreaded FTP client for X Window written using Gtk. It features
simultaneous downloads, resuming of interrupted file transfers, file transfer
queues, downloading of entire directories, ftp proxy support, remote directory
caching, passive and non-passive file transfers, drag-n-drop, bookmarks menu,
stop button, and many more features.


%prep
%setup -q -a 1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%_liconsdir/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%_iconsdir/%{name}.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%_miconsdir/%{name}.png

# locale files
%find_lang %{name}


%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS THANKS COPYING ChangeLog README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man?/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Fri Apr 24 2014 bb <bb> 2.0.19-2pclos2014
- rebuild openssl

* Thu Apr 14 2011 Texstar <texstar at gmail.com> 2.0.19-1pclos2011
- 2.0.19 plus fedora patches

* Tue Sep 14 2010 Texstar <texstar at gmail.com> 2.0.18-13-pclos2010
- rebuild openssl

